/********************************************************************/
/*    TORQUE (Types Of Relationships QUality Evaluation) toolkit    */
/*                                                                  */
/* Original file name: graph.cc                                     */
/*                                                                  */
/* This software by R.M.                                            */
/********************************************************************/

#include "graph.h"

// ******************************************
// *****  Weighted (un)directed graph  ******
// ******************************************

// A method that returns the inverse direction of an edge
edge_dir reverse(edge_dir orientation) {
   switch (orientation) {
      case DIR_NONE  :  return DIR_NONE;
                        break;
      case DIR_IN    :  return DIR_OUT;
                        break;
      case DIR_OUT   :  return DIR_IN;
                        break;
      default        :  return DIR_NONE;
                        break;
   }
}

// *****  Weighted (un)directed graph  ******
